{% extends "elections2021/base.html" %}
{% load wagtailcore_tags %}

{% block content_header %}

<article class="relative bg-lemon md:bg-split-color px-4 md:pl-8 md:pr-0 2xl:px-8 hero py-0 w-full ">
  <div class="2xl:container w-auto bg-lemon md:pl-20 pr-0 grid lg:grid-rows-2 lg:grid-cols-7 items-center 2xl:mx-auto">
    <div class="lg:row-span-1 lg:col-span-7 order-1 pt-14 md:pr-20">
      <h1 class="head-alt-md sm:head-alt-lg">{{ page.title }}</h1>
    </div>
    {% comment %}
    <div class="lg:row-span-1 lg:col-span-7 order-3 pb-14 md:pr-20">
      <div class="pt-8 sm:flex">
        <input name="" type="text" class="text-input form-field__control w-full max-w-xl" value="" placeholder="Placeholder">
        <button class="btn btn--icon block sm:inline-block">
          <div class="btn__body-wrap">
            <div class="btn__body py-4">Vyhledat</div>
            <div class="btn__icon bg-grey-800">
              <i class="ico--chevron-right"></i>
            </div>
          </div>
        </button>
      </div>
    </div>
    {% endcomment %}
  </div>
</article>

{% endblock %}

{% block content %}

<div class="container container--default pt-8 pb-16 lg:py-24">
  <div class="grid grid-cols-1 md:grid-cols-2 lg:grid-cols-3 gap-8">

    {% for strategic in strategic_documents %}
      {% if strategic.card_style == "black" %}
        <div class="card shadow-none bg-black border-b border-solid border-black  card--min-square text-white card--hoveractive">
      {% elif strategic.card_style == "yellow" %}
        <div class="card shadow-none bg-lemon border-b border-solid border-lemon  card--min-square card--hoveractive">
      {% elif strategic.card_style == "green" %}
        <div class="card shadow-none bg-acidgreen border-b border-solid border-acidgreen card--min-square text-black card--hoveractive">
      {% else %}
        <div class="card shadow-none bg-white border-b border-solid border-grey-125 card--min-square card--hoveractive">
      {% endif %}
        <div class="card__body">
          <h1 class="card-headline mb-8"><a href="{% pageurl strategic %}">{{ strategic.title }}</a></h1>
          <p class="card-body-text">{{ strategic.perex }}</p>
        </div>
      </div>
    {% endfor %}

  </div>
</div>

{% include "elections2021/_pagination.html" with paginator=strategic_documents %}

{% endblock %}
